# -*- coding: utf-8 -*-
from __future__ import annotations

import os

import celery

os.environ.setdefault(
    'DJANGO_SETTINGS_MODULE', 'hotpocket_backend.settings.base',
)

app: celery.Celery = celery.Celery(
    'hotpocket_backend',
)
app.config_from_object('django.conf:settings', namespace='CELERY')

app.autodiscover_tasks()
